# Form implementation generated from reading ui file 'src/eric7/Preferences/ConfigurationPages/EditorAutoCompletionJediPage.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_EditorAutoCompletionJediPage(object):
    def setupUi(self, EditorAutoCompletionJediPage):
        EditorAutoCompletionJediPage.setObjectName("EditorAutoCompletionJediPage")
        EditorAutoCompletionJediPage.resize(400, 300)
        self.verticalLayout = QtWidgets.QVBoxLayout(EditorAutoCompletionJediPage)
        self.verticalLayout.setObjectName("verticalLayout")
        self.headerLabel = QtWidgets.QLabel(parent=EditorAutoCompletionJediPage)
        self.headerLabel.setObjectName("headerLabel")
        self.verticalLayout.addWidget(self.headerLabel)
        self.line15 = QtWidgets.QFrame(parent=EditorAutoCompletionJediPage)
        self.line15.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line15.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line15.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line15.setObjectName("line15")
        self.verticalLayout.addWidget(self.line15)
        self.jediAutocompletionCheckBox = QtWidgets.QCheckBox(parent=EditorAutoCompletionJediPage)
        self.jediAutocompletionCheckBox.setObjectName("jediAutocompletionCheckBox")
        self.verticalLayout.addWidget(self.jediAutocompletionCheckBox)
        self.jediFuzzyAutocompletionCheckBox = QtWidgets.QCheckBox(parent=EditorAutoCompletionJediPage)
        self.jediFuzzyAutocompletionCheckBox.setEnabled(False)
        self.jediFuzzyAutocompletionCheckBox.setObjectName("jediFuzzyAutocompletionCheckBox")
        self.verticalLayout.addWidget(self.jediFuzzyAutocompletionCheckBox)
        spacerItem = QtWidgets.QSpacerItem(20, 161, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout.addItem(spacerItem)

        self.retranslateUi(EditorAutoCompletionJediPage)
        self.jediAutocompletionCheckBox.toggled['bool'].connect(self.jediFuzzyAutocompletionCheckBox.setEnabled) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(EditorAutoCompletionJediPage)

    def retranslateUi(self, EditorAutoCompletionJediPage):
        _translate = QtCore.QCoreApplication.translate
        self.headerLabel.setText(_translate("EditorAutoCompletionJediPage", "<b>Configure Jedi Completion</b>"))
        self.jediAutocompletionCheckBox.setToolTip(_translate("EditorAutoCompletionJediPage", "Select, whether the jedi autocompletion support shall be enabled."))
        self.jediAutocompletionCheckBox.setText(_translate("EditorAutoCompletionJediPage", "Enable autocompletion"))
        self.jediFuzzyAutocompletionCheckBox.setText(_translate("EditorAutoCompletionJediPage", "Enable fuzzy completion"))
